Appearance
Fetch a reply for an article
Articles
By default returns a visible reply. A valid moderatorId value is required to fetch a trashed reply.
GET
/articles/{id}/replies/{replyId}
Parameters
Path Parameters
id*
ID of the article to fetch the reply for
Type
Requiredstring
replyId*
ID of the reply to fetch
Type
Requiredstring
Responses
Successful response
application/json
JSON "id": "2", "publicReplyId": "5", "content": "I completely agree with the topic starter", "author": { "id": "7", "username": "john-doe", "customTitle": "awesome_user", "signature": "awesome_user", "avatar": "http://example.com/avatar123.jpg", "reputation": { "rank": "senior_replier", "rankIcon": "http://example.com/rank-icon.jpg", "rankIconThumbnail": "http://example.com/rank-icon-thumbnail.jpg", "likesReceived": 0, "repliesMade": 0 } }, "repliedAt": "2017-04-10T15:29:06+00:00", "inclusiveReplyCount": 0, "inclusiveVisibleReplyCount": 0, "trashed": false, "spam": true, "reported": true, "reportedContent": [ { "id": "string", "reason": "string", "reportedAt": "string", "reportedBy": { "id": "7", "username": "john-doe", "customTitle": "awesome_user", "signature": "awesome_user", "avatar": "http://example.com/avatar123.jpg", "reputation": { "rank": "senior_replier", "rankIcon": "http://example.com/rank-icon.jpg", "rankIconThumbnail": "http://example.com/rank-icon-thumbnail.jpg", "likesReceived": 0, "repliesMade": 0 } } } ], "pendingApproval": false, "highlighted": false, "likedBy": [ "string" ], "permalink": "https://community.example.com/category-1/topic-title-123?postid=5#post5"
{
}

